#include <stdio.h>
#include <stdlib.h>

typedef struct slog
    {
        int ind;
        int br;
    } polje;

int main()
    {
        int N, K, i, j, pom, glob=0;
        scanf("%d %d", &N, &K);
        polje a[N*2+1];
        for (i=N; i>=-N; i--)
            {
                a[-(i-N)].ind=-i;
                a[-(i-N)].br=0;
            }
        for (j=0; j<N; j++)
            {
                scanf("%d", &pom);
                for (i=0; i<N*2+1; i++)
                    {
                        if (pom==a[i].ind)
                            {
                                a[i].br++;
                                if (a[i].br==2) glob++;
                            }
                    }
            }
        if (glob>1)
            {
                printf("%d\n", glob);
                for (i=0; i<N*2+1; i++)
                    {
                        if (a[i].br>1) printf("%d ", a[i].ind);
                    }
            }
        return 0;
    }